LIBRARY ieee;
USE ieee.std_logic_1164.all;
USE ieee.std_logic_arith.all;

ENTITY LED IS
	PORT
	(
		B_SD0	: IN	STD_LOGIC;
		B_SD1	: IN	STD_LOGIC;
		B_SD2	: IN	STD_LOGIC;
		B_IOWN	: IN	STD_LOGIC;
		LED_ADD	: IN	STD_LOGIC;
		LED0	: OUT	STD_LOGIC;
		LED1	: OUT	STD_LOGIC;
		LED2	: OUT	STD_LOGIC);

END LED;

ARCHITECTURE RTL OF LED IS
		SIGNAL	C	: STD_LOGIC;
		begin
		C <= LED_ADD and not B_IOWN;

process(C)
begin
	if(C'event and C='1') then
		LED0 <= B_SD0;
		LED1 <= B_SD1;
		LED2 <= B_SD2;
	end if;
end process;
end RTL;

